package com.hzya.frame.sys.appParameter.entity;

import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;

import java.util.Date;

/**
 * @description: 应用参数表
 * @tableName:   sys_app_parameter
 * @entityName:  sysAppParameter
 * @author: 	 llg
 * @history:	 1.0
 */
public class  SysAppParameter extends BaseEntity {
	/** 主键ID*/
	private String id;
	/** 应用id */
	private String appId;
	/** 参数 */
	private String parameter;
	/** 数据类型 */
	private String dateType;
	/** 参数描述 */
	private String description;
	/** 是否必填 */
	private String requireds;
	/** 参数值 */
	private String dateValue;
	/** 备注 */
	private String remarks;
	/** 排序号 */
	private Long sorts;
	/** 组织机构ID */
	private String orgId;
	/** 状态 1有效 0无效 */
	private String sts;
	/** 创建人ID*/
	private String createUserId;
	/** 创建时间ID */
	private Date createTime;
	/** 修改时间*/
	private Date modifyTime;
	/** 修改人ID*/
	private String modifyUserId;


	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getParameter() {
		return parameter;
	}

	public void setParameter(String parameter) {
		this.parameter = parameter;
	}

	public String getDateType() {
		return dateType;
	}

	public void setDateType(String dateType) {
		this.dateType = dateType;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getRequireds() {
		return requireds;
	}

	public void setRequireds(String requireds) {
		this.requireds = requireds;
	}

	public String getDateValue() {
		return dateValue;
	}

	public void setDateValue(String dateValue) {
		this.dateValue = dateValue;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public Long getSorts() {
		return sorts;
	}

	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getSts() {
		return sts;
	}

	public void setSts(String sts) {
		this.sts = sts;
	}

	public String getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public String getModifyUserId() {
		return modifyUserId;
	}

	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}

	//创建新增产品信息
	public void setCreateAppParameter() {
		this.id = UUIDUtils.getUUID();
		this.orgId ="";
		this.sts = "Y";
		this.createUserId = String.valueOf( StpUtil.getLoginId());
		this.createTime = new Date();
		this.modifyTime = new Date();
		this.modifyUserId  = String.valueOf( StpUtil.getLoginId());
	}


	//创建新增产品信息
	public void setUpdateAppParameter() {
		this.modifyTime = new Date();
		this.modifyUserId  = String.valueOf( StpUtil.getLoginId());
	}

}
